#!/usr/local/php/bin/php
<?php
$dir_path = explode('/',dirname(__FILE__));
$dummy = array_pop($dir_path);
$home_dir = implode('/',$dir_path);

require_once $home_dir.'/lib/myQuicty.php';
require_once $home_dir.'/lib/Pages/index.class.php';

class make_top_includes extends index {

	function dispatch_index() {
		$this->assign_item_view(10);
		$contents = $this->fetch('includes/common/top_contents.inc');
		$component_dir = $this->home_dir.'/var/component';
		file_put_contents("$component_dir/top_contents.inc",$contents);
	}
} // end of class make_top_includes
$quicty = new make_top_includes($home_dir);
//$quicty->pre_dispatch_index();
$quicty->dispatch_index();

?>